LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XContentProvider Interface Referencepublished

a content provider which creates and manages XContents. More...

`import"XContentProvider.idl";`

Inheritance diagram for XContentProvider:

## Public Member Functions
com::sun::star::ucb::XContent | queryContent ([in] com::sun::star::ucb::XContentIdentifier Identifier) raises ( com::sun::star::ucb::IllegalIdentifierException )
| creates a new XContent instance, if the given XContentIdentifier matches a content provided by the implementation of this interface. More...
long | compareContentIds ([in] com::sun::star::ucb::XContentIdentifier Id1, [in] com::sun::star::ucb::XContentIdentifier Id2)
| compares two XContentIdentifiers. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

a content provider which creates and manages XContents.

Version
  1.0

See also
  XContent
  XContentIdentifier

Developers Guide
  Universal Content Broker - Accessing a UCB Content

## Member Function Documentation

## ◆ compareContentIds()

long compareContentIds | ( | [in] com::sun::star::ucb::XContentIdentifier | Id1,
|  | [in] com::sun::star::ucb::XContentIdentifier | Id2
| ) |  |

compares two XContentIdentifiers.

Parameters

  Id1 | first content identifier.
  Id2 | second content identifier.

Returns
  `0` is returned, if the identifiers are equal. A value less than `0` indicates, that the Id1 is less than Id2. A value greater than `0` is returned, if Id1 is greater than Id2.

## ◆ queryContent()

com::sun::star::ucb::XContent queryContent | ( | [in] com::sun::star::ucb::XContentIdentifier | Identifier | ) |
raises | ( | com::sun::star::ucb::IllegalIdentifierException
| ) |  |

creates a new XContent instance, if the given XContentIdentifier matches a content provided by the implementation of this interface.

Parameters

  Identifier | an identifier for the content to query.

Returns
  the content.

Exceptions

  IllegalIdentifierException | if the given identifier does not match a content provided by the implementation of this interface

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XContentProvider.idl